[paludis-dev] [Paludis] #1247: Resolver gives up too easily on `cave resolve libreoffice-bin`

Paludis trac-paludis at exherbo.org
Fri Jun 1 21:55:18 UTC 2012


#1247: Resolver gives up too easily on `cave resolve libreoffice-bin`
-----------------------+--------------------------
    Reporter:  ant     |       Type:  defect
      Status:  new     |   Priority:  Sometime
   Milestone:          |  Component:  clients/cave
     Version:  0.74.1  |   Keywords:
  Blocked By:          |   Blocking:
Distribution:  Gentoo  |
-----------------------+--------------------------
 Originally from [http://forums.gentoo.org/viewtopic-t-923644.html here].

 {{{
 ~ $ cave resolve libreoffice-bin --explain libreoffice
 ...
 Explaining requested decisions:

 For app-office/libreoffice:0::(install_to_slash):
     The following constraints were in action:
       * !app-office/libreoffice, use existing if possible, installing to /
 (nothing is fine too)
         Because of !app-office/libreoffice from app-office/libreoffice-
 bin-3.5.2.2-r1:0::gentoo
       * >=app-office/libreoffice-3.5, use existing if possible, installing
 to /
         Because of >=app-office/libreoffice-3.5 from app-office
 /libreoffice-l10n-3.5.4:0::gentoo, key 'Run dependencies', labelled
 'RDEPEND' (originally || ( >=app-office/libreoffice-3.5 >=app-office
 /libreoffice-bin-3.5 ))
     No decision could be made
 }}}

-- 
Ticket URL: <http://paludis.exherbo.org/trac/ticket/1247>
Paludis <http://paludis.exherbo.org/>
Paludis, the Other Package Mangler


More information about the paludis-dev mailing list